
:- ['../util']. 

:- begin_tests(util).

%%
% Testing is_atiom/1 
% 

test(is_atom) :-
	is_atom(a).
	
test(is_atom) :-
	is_atom(b).
	
test(is_atom, fail) :-
	is_atom(bot).
	
test(is_atom, fail) :-
	is_atom(top).

test(is_atom, fail) :-
	is_atom(1).

test(is_atom, fail) :-
	is_atom(0).
	
test(is_atom, fail) :-
	is_atom(a * b).
	
test(is_atom, fail) :-
	is_atom(a + b).
	
test(is_atom, fail) :-
	is_atom(-a).
	
%%
% Testing remove/3 
%

test(remove) :-
	remove(a, [a, b, c], [b, c]).

test(remove) :-
	remove(b, [a, b, c], [a, c]).
	
test(remove) :-
	remove(c, [a, b, c], [a, b]).
	
test(remove) :-
	remove(d, [a, b, c], [a, b, c]).
	
%%
% Testing removeAll/3 
%

test(removeAll) :-
	removeAll(a, [a, b, c], [b, c]).

test(removeAll) :-
	removeAll(b, [b, a, b, c], [a, c]).
	
test(removeAll) :-
	removeAll(a, [a, a, a, b, c, a, a], [b, c]).
	
%%
% Testing reverseList/3
%

test(reverseList) :-
	reverseList([a, b, c], [], [c, b, a]).
	
:- end_tests(util).